MP4(3)

NAME

MP4GetHintTrackRtpPayload - Get the RTP payload parameters of the hint track

SYNTAX

#include <mp4.h>

bool MP4GetHintTrackRtpPayload(
    MP4FileHandle hFile,
    MP4TrackId hintTrackId,
    char** ppPayloadName = NULL,
    u_int8_t* pPayloadNumber = NULL,
    u_int16_t* pMaxPayloadSize = NULL
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

hintTrackId
    Specifies the hint track to which the operation applies.

ppPayloadName
    Specifies a pointer to the variable to receive the string RTP payload name.

pPayloadNumber
    Specifies a pointer to the variable to receive the RTP payload number.

pMaxPayloadSize
    Specifies a pointer to the variable to receive the maximum RTP payload size in bytes.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4GetHintTrackRtpPayload gets the RTP payload parameters for the hint track. The RTP payload is the set of rules by which media samples are packed into RTP packets. This call is typically used in constructing the SDP media level description for the hint track.

The payloadName identifies which RTP payload is being used for the RTP packets created from the hint track. This value is sent to the receiver in the SDP description. For example, MP3 audio sent according to the rules in IETF RFC 2250 uses the name "MPA" for the RTP payload.

The payloadNumber is a shorter form of the payloadName. This value is associated with the payload name in the SDP description and then sent in every RTP packet. Payload numbers 1 thru 95 are statically assigned in IETF RFC 1890, numbers 96 thru 127 are dynamically assigned within a session.

The maxPayloadSize specifies the maximum number of bytes that should be placed in the RTP payload section of the RTP packets.

SEE ALSO

MP4(3) MP4SetHintTrackPayload(3)